package com.ffii.lioner.modules.lioner.req;

import java.util.List;

import jakarta.validation.constraints.Size;

/** @author Jason Lam */
public class UpdateExtRefReq {

    private Long id;
    
    private Long refId;

	@Size(max = 255)
	private String remarks;

    public UpdateExtRefReq() {}

    public UpdateExtRefReq(Long id, Long refId, String remarks) {
        this.id = id;
        this.refId = refId;
        this.remarks = remarks;
    }

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRefId() {
        return this.refId;
    }

    public void setRefId(Long refId) {
        this.refId = refId;
    }

    public String getRemarks() {
        return this.remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

}

